name: "Push Notification"
on: [push, pull_request, create]

jobs:
  notify-irc:
    runs-on: ubuntu-latest
    steps:
      - name: irc push
        uses: rectalogic/notify-irc@v1
        if: github.event_name == 'push'
        with:
          channel: "#vouch"
          server: irc.libera.chat
          nickname: from-github
          message: |
            ${{ github.actor }} pushed ${{ github.event.ref }} ${{ github.event.compare }}
            ${{ join(github.event.commits.*.message) }}
      - name: irc pull request
        uses: rectalogic/notify-irc@v1
        if: github.event_name == 'pull_request'
        with:
          channel: "#vouch"
          server: irc.libera.chat
          nickname: from-github
          message: |
            ${{ github.actor }} opened PR ${{ github.event.html_url }}
      - name: irc tag created
        uses: rectalogic/notify-irc@v1
        if: github.event_name == 'create' && github.event.ref_type == 'tag'
        with:
          channel: "#vouch"
          server: irc.libera.chat
          nickname: from-github
          message: |
            ${{ github.actor }} tagged ${{ github.repository }} ${{ github.event.ref }}
